> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statuses

> Retrieve a list of all asset statuses for the workspace.



## OpenAPI

````yaml get /workspaces/assetStatuses
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assetStatuses:
    get:
      tags:
        - Asset Status
      description: Retrieve a list of all asset statuses for the workspace.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      responses:
        '200':
          description: A list of asset statuses
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetStatus'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AssetStatus:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the asset status.
        workspace_id:
          type: string
          description: Identifier of the workspace to which the asset status belongs.
        name:
          type: string
          description: Name of the asset status.
        color:
          type: string
          description: Color associated with the asset status.
        rank:
          type: string
          description: Rank of the asset status.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the asset status.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````